Package com.emc.d2fs.authc

# Class HttpAuthPrincipal

java.lang.Object
com.emc.d2fs.authc.HttpAuthPrincipal

All Implemented Interfaces:
  `Principal`

public class HttpAuthPrincipal extends Object implements Principal
DOCUMENT ME!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpAuthPrincipal(String defaultRepository, String principalName, String password)`
  Creates a new X3AuthPrincipal object.
  `HttpAuthPrincipal(String defaultRepository, String principalName, String password, boolean isTrusted)`
  Creates a new X3AuthPrincipal object.
  `HttpAuthPrincipal(String defaultRepository, String principalName, String password, boolean isTrusted, String userArg1)`
  Creates a new X3AuthPrincipal object.
  `HttpAuthPrincipal(String defaultRepository, String principalName, String password, boolean isTrusted, String userArg1, String domain, Object binaryCredential)`
  Creates a new X3AuthPrincipal object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBinaryCredential()`
  `String`
  `getDefaultRepository()`
  DOCUMENT ME!
  `String`
  `getDomain()`
  `String`
  `getName()`
  DOCUMENT ME!
  `String`
  `getPassword()`
  DOCUMENT ME!
  `String`
  `getUserArg1()`
  Returns the first optional argument used by custom content server authentication plugins.
  `boolean`
  `isTrusted()`
  DOCUMENT ME!

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.security.Principal

  `equals, hashCode, implies, toString`

- ## Constructor Details

  - ### HttpAuthPrincipal

    public HttpAuthPrincipal(String defaultRepository, String principalName, String password)
    Creates a new X3AuthPrincipal object.
    Parameters:
      `defaultRepository` - Default repository.
      `principalName` - Principal name.
      `password` - Password or ticket.

  - ### HttpAuthPrincipal

    public HttpAuthPrincipal(String defaultRepository, String principalName, String password, boolean isTrusted)
    Creates a new X3AuthPrincipal object.
    Parameters:
      `defaultRepository` - Default repository.
      `principalName` - Principal name.
      `password` - Password or ticket.
      `isTrusted` - DOCUMENT ME!

  - ### HttpAuthPrincipal

    public HttpAuthPrincipal(String defaultRepository, String principalName, String password, boolean isTrusted, String userArg1)
    Creates a new X3AuthPrincipal object.
    Parameters:
      `defaultRepository` - Default repository.
      `principalName` - Principal name.
      `password` - Password or ticket.
      `isTrusted` - Indicator whether this principal is trusted, therefore a password is not needed for validation.
      `userArg1` - First optional argument used by custom content server authentication plugins.

  - ### HttpAuthPrincipal

    public HttpAuthPrincipal(String defaultRepository, String principalName, String password, boolean isTrusted, String userArg1, String domain, Object binaryCredential)
    Creates a new X3AuthPrincipal object.
    Parameters:
      `defaultRepository` - Default repository.
      `principalName` - Principal name.
      `password` - Password or ticket.
      `isTrusted` - Indicator whether this principal is trusted, therefore a password is not needed for validation.
      `userArg1` - First optional argument used by custom content server authentication plugins.
      `domain` - server's domain name
      `binaryCredential` - contains information to create the binary credential in IDfLoginInfo

- ## Method Details

  - ### getDefaultRepository

    public String getDefaultRepository()
    DOCUMENT ME!
    Returns:
      DOCUMENT ME!

  - ### getName

    public String getName()
    DOCUMENT ME!
    Specified by:
      `getName` in interface `Principal`
    Returns:
      DOCUMENT ME!

  - ### getPassword

    public String getPassword()
    DOCUMENT ME!
    Returns:
      DOCUMENT ME!

  - ### isTrusted

    public boolean isTrusted()
    DOCUMENT ME!
    Returns:
      DOCUMENT ME!

  - ### getUserArg1

    public String getUserArg1()
    Returns the first optional argument used by custom content server authentication plugins.
    Returns:
      the first optional argument used by custom content server authentication plugins.

  - ### getBinaryCredential

    public Object getBinaryCredential()

  - ### getDomain

    public String getDomain()